astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- CompositeTransform

# CompositeTransform

class `astropy.coordinates.``CompositeTransform`(transforms, fromsys, tosys, priority=1, register_graph=None, collapse_static_mats=True)

  Bases: `astropy.coordinates.CoordinateTransform`

  A transformation constructed by combining together a series of single-step transformations.

  Note that the intermediate frame objects are constructed using any frame attributes in `toframe` or `fromframe` that overlap with the intermediate frame (`toframe` favored over `fromframe` if there’s a conflict). Any frame attributes that are not present use the defaults.

  Parameters:

  transforms : sequence of `CoordinateTransform` objects

  > The sequence of transformations to apply.

  fromsys : class

  > The coordinate frame class to start from.

  tosys : class

  > The coordinate frame class to transform into.

  priority : number

  > The priority if this transform when finding the shortest coordinate transform path - large numbers are lower priorities.

  register_graph : `TransformGraph` or `None`

  > A graph to register this transformation with on creation, or `None` to leave it unregistered.

  collapse_static_mats : bool

  > If `True`, consecutive `StaticMatrixTransform` will be collapsed into a single transformation to speed up the calculation.

  Methods Summary

  `__call__`(fromcoord, toframe) |

  Methods Documentation

  `__call__`(fromcoord, toframe)